%% Test průběhu úhlu náběhu při zatáčení
clear all;clc;
speed = 0;
LB = 0.1;
RB = 0.0;

ofset = 40; % posunutí středu
usi = 1;
spad = 4;
alpha = zeros(54,1);

for i = 1:54
    % znormujeme speed system
    ssystem = -speed*ofset + ofset;
    leftbrake = LB*ofset;
    rightbrake = RB*ofset;
    
    % zjistíme o kolik se liší stažení levé strany od pravé
    dif = leftbrake-rightbrake;
    
    if (dif == 0) % pokud je stažení na obou stranách stejné
        alpha(i) = ssystem + ofset + leftbrake;
    elseif (dif < 0) % pravá strana je stažena více
        alpha(i) = ssystem+max(leftbrake,min(rightbrake,-(dif/spad)*(i)+ (dif/spad)*(54-usi-spad)+leftbrake));
    elseif (dif > 0) % levá strana je víc stažena
        alpha(i) =  ssystem+max(rightbrake,min(leftbrake,-(dif/spad)*(i)+ (dif/spad)*(usi+spad)+rightbrake));
    end;
end;

% tisk výsledku
plot(1:54,alpha,'*--',[1 (54-usi-spad) 54-usi  54],[ssystem+leftbrake ssystem+leftbrake ssystem+rightbrake ssystem+rightbrake],'rs')
grid;